%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

%global modname fauxquests

# TODO: commit is actually release, but has not been pushed as git tag
# https://github.com/lukesneeringer/fauxquests/issues/1
%global commit 16d1f71547279fc7862c4b6597fab5524f70b082

Name:           python-%{modname}
Version:        1.1
Release:        1%{?dist}
Summary:        Mock HTTP requests sent with the requests package

License:        BSD
URL:            https://github.com/lukesneeringer/fauxquests
Source0:        %{url}/archive/%{commit}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-requests
Requires:       python-six
Requires:       python-requests
%else
BuildRequires:  python2-setuptools
BuildRequires:  python2-six
BuildRequires:  python2-requests
Requires:       python2-six
Requires:       python2-requests
%endif
BuildRequires:  python2-mock
BuildRequires:  python2-dict-sorted
Requires:       python2-dict-sorted

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%if %{with python3}
%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-requests
BuildRequires:  python3-dict-sorted
Requires:       python3-six
Requires:       python3-requests
Requires:       python3-dict-sorted

%description -n python3-%{modname}
%{summary}.

Python 3 version.
%endif

%prep
%autosetup -n %{modname}-%{commit}

%build
%py2_build
%if %{with python3}
%py3_build
%endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif

%check
# https://github.com/lukesneeringer/fauxquests/issues/2
%{__python2} tests/runtests.py -v || :
%if %{with python3}
# https://github.com/lukesneeringer/fauxquests/issues/3
%{__python3} tests/runtests.py -v || :
%endif

%files -n python2-%{modname}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%if %{with python3}
%files -n python3-%{modname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/
%endif

%changelog
* Fri Aug 26 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.1-1
- Initial package
